Subject: Re: Difference between device statistics from ifconfig and ip -s l l

From: Milan Kocian <[email-masked]>
Date: Wed, 17 Oct 2007 15:42:49 +0200

On Wed, Oct 17, 2007 at 08:01:38AM -0400, jamal wrote:
> > 
> > One probably stupid question: Why is not done similar sum in output of 'ip -s l l' ?
> 
> "missed" is not really an error. It just means the driver was
> overwhelmed and didnt even get the chance of seeing it whereas an error
> is something the driver processed and saw a problem with it.
> 
Thanks for explanation. But if I understand well, the packet is lost anyway, isn't it ?
And when the packet is lost and I want to see all problems, I have to use detailed 
(ip -s -s ) stats because non-detailed (ip -s ) stats may hide problems. True ?

If yes then using non-detailed stats lacks sense.

> > Imagine me :), I do 'ifconfig' and see dropped packets and then I do 'ip -s l l'
> > and see zeros. I stare on it like an idiot. Where is bug ? ifconfig ? ip ?
> > (man page of ip and 'ip -s -s l l' with missed packets stats saved me :).
> > 
> > IMHO I think that comparable outputs of both programs should be still the same.
> 
> I think ifconfig sums them up so the output formatting looks nice, but
> ip is more accurate. These stats are from standard SNMP mibs (off top of
> my head RFC1213 if it hasnt been obsoleted by something) - look at
> InIFxxxx stats.
> 
I will try to look at. Thanks!

> cheers,
> jamal
regards,

-- 
Milan Kocian